#include <qtooltip.h>
#include <qstring.h>
#include <qpushbutton.h>
#include <qwidget.h>
#include "OmSourceButton.h"

OmSourceButton::OmSourceButton(QWidget *parent, QString title, 
       int x, int y, int width, int height, QString help) :
       QPushButton(title, parent)
{
    
    setGeometry(x, y, width, height);
    setPaletteBackgroundColor(QColor(128, 128, 128));    

    if (help)   
        QToolTip::add(this, help);
};
OmSourceButton::OmSourceButton(QWidget *parent, QString title,  QString help) :
       QPushButton(title, parent)
{
    
    setPaletteBackgroundColor(QColor(128, 128, 128));    

    if (help)   
        QToolTip::add(this, help);
};
OmSourceButton::OmSourceButton(QWidget *parent, QString title, 
       int x, int y, int height, QString help) :
       QPushButton(title, parent)
{
    
  
   
   
   QFontMetrics fm = this->fontMetrics();
 
   int pixelWidth = fm.width(title );
    
       
   setGeometry(x, y, pixelWidth + 8, height);

   
   //   setAlignment( Qt::AlignHCenter | Qt::AlignVCenter );
    //    setPaletteBackgroundColor(QColor(255, 0, 0));    
    //    setPaletteBackgroundColor(QColor(0, 0, 255));    
   setPaletteBackgroundColor(QColor(128, 128, 128));    

    if (help)   
        QToolTip::add(this, help);

};



