#ifndef OmSourceDetectDialog_h
#define OmSourceDetectDialog_h
#include <qapplication.h>
#include <qdialog.h>
#include <qstring.h>
#include <qcheckbox.h>
#include "OmSourceBrowser.h"
#include <qdatetime.h>
class QSpinBox;

class OmSourceLabel;;
class OmSourceButton;
class QProcess;
class QTextEdit;
class QComboBox;
class OmSourceGroupBox;
class QTimer;
class DetectionDlg : public QDialog
{
    Q_OBJECT
     
 private slots:
    void setnSigma(int value) {_nSigma = value;  };
    

    void runOmdetect();    
    void runOmgrism();    
    
    void finished();    
    void finished1();    
   
    void terminate(); 
    void quit() {done(OmSourceBrowser::FAILED); };
    void updateTime();
    void slotDataOnStdout();
  
      public:
    DetectionDlg(QWidget *parent, QString imageFile, QString sourceListFile, QString spectrumFile);
    ~DetectionDlg();
    float getnSigma() { return float(_nSigma);};
   
   
 
 private:

    QString _imageFile;
    QString _sourceListFile;
    QString _spectrumFile;
 
    int _nSigma;
  
    OmSourceLabel* _label;
   
    OmSourceLabel* _label1;
 


    QSpinBox* _spinBox1;
  
   
    OmSourceButton* _terminateBtn;
    OmSourceButton* _quitBtn;
    OmSourceButton* _computeBtn;

    OmSourceGroupBox* _group;
    QProcess* _process;
    QTextEdit* _edit;
    QComboBox* _omdetectComboBox;
    bool _interupted;
    QTime _time;
    QTimer* _timer;
    string _programName;
};
#endif


