
#include <qapplication.h>
#include <qpushbutton.h>
#include <qdialog.h>
#include "OmSourceVersionNo.h"
#include <qstring.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qtooltip.h>
#include <qmessagebox.h>
#include <ExceptionErrorHandler.h>
#include <qtimer.h>
#include <qcheckbox.h>
#include <qdatetime.h>

#include <qfont.h>
#include "OmSourceInformationDlg.h"
#include "OmSourceLabel.h"
#include "OmSourceButton.h"
#include <qcanvas.h>
/********************************************************************************
 * Dialog for running omdetect- allows you to change the parameters nsigma
 * and minsignificance.          
 *
 *******************************************************************************/

InformationDlg::InformationDlg(QWidget *parent, QString text[]) :
  QDialog(parent, "", true)
{

   
    setCaption(omsourceVersionNo() + QString(" Exposure information"));

    int yPos = 10;
    
    int i = 0;
 
    while(text[i])
    {
        
              OmSourceLabel *label = new OmSourceLabel(this, text[i++], 
                      10, yPos, 30);
              label->show();
        yPos += 40;
       
    }        

   yPos += 50;
   OmSourceButton *quitButton = new OmSourceButton(this, "OK", 
		   50, yPos, 70, 35); 
 
   connect(quitButton, SIGNAL(clicked()), this, SLOT(quit()));

   {
   QCanvas myCanvas(100, 100);
 

   QCanvasText myTextItem("Test", &myCanvas);
   QCanvasEllipse myEllipseItem(20, 30, &myCanvas);
   myEllipseItem.setBrush( Qt::green);
   myEllipseItem.move(50, 50);
  
   myEllipseItem.show();

   QCanvasView myView(&myCanvas, this);
   myView.setGeometry(50, yPos - 50, 100, 100);
   myView.show();
   }

 {
   QCanvas myCanvas(100, 100);
 

   QCanvasText myTextItem("Test", &myCanvas);
   QCanvasEllipse myEllipseItem(20, 30, &myCanvas);
   myEllipseItem.setBrush( Qt::green);
   myEllipseItem.move(50, 50);
  
   myEllipseItem.show();

   QCanvasView myView(&myCanvas, this);
   myView.setGeometry(50, 100, 100, 100);
   myView.show();
   }


 {
   QCanvas myCanvas(100, 100);
 

   QCanvasText myTextItem("Test", &myCanvas);
   QCanvasEllipse myEllipseItem(20, 30, &myCanvas);
   myEllipseItem.setBrush( Qt::green);
   myEllipseItem.move(50, 50);
  
   myEllipseItem.show();

   QCanvasView myView(&myCanvas, this);
   myView.setGeometry(50, 200, 100, 100);
   myView.show();
   }


 {
   QCanvas myCanvas(100, 100);
 

   QCanvasText myTextItem("Test", &myCanvas);
   QCanvasEllipse myEllipseItem(20, 30, &myCanvas);
   myEllipseItem.setBrush( Qt::green);
   myEllipseItem.move(50, 50);
  
   myEllipseItem.show();

   QCanvasView myView(&myCanvas, this);
   myView.setGeometry(50, 100, 300, 100);
   myView.show();
   }





  
   update();     
};







