// -*-C++-*-
//
// File:      OmSource.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Sep 13 17:00:17 CEST 2002
// Usage:     -
// Info:      -

#ifndef OmgSource_h
#define OmgSource_h
#include <qstring.h>
#include <qstatusbar.h>
#include "SasTaskWindow.h"

class OmSourceBrowser;

class OmgSource : public SasTaskWindow
{
  Q_OBJECT
public:
  OmgSource();
  virtual ~OmgSource();

signals:
   

public  slots:
    void Hide() { hide(); };
    void Show() { show(); };;
    void Exit() {quit();}; 
    void Repaint() { repaint(); };
    void SetCaption(QString caption) {setCaption(caption); };
    void SetStatusBarMessage(QString& caption, long time)
    {
        statusBar()->message(caption, time);

    };
    void SetStatusBarMessage(QString& caption) { statusBar()->message(caption); };
    
    
    
private slots:

protected:

private:

  // member functions
  OmgSource(const OmgSource&);            // copy constructor (disabled)
  OmgSource& operator=(const OmgSource&); // assignment (disabled)

  // member data
  OmSourceBrowser* _browser;
};


#endif




