// -*-C++-*-
//
// File:      OmImageDisplay.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Sep  6 12:09:43 MEST 2002
// Usage:     -
// Info:      -

#ifndef OmImageDisplay_h
#define OmImageDisplay_h

#include "Ds9.h"
#include "OmSourceParameters.h"
#define L_TMPFILE 50
class OmImageDisplay : public Ds9
{
public:
  OmImageDisplay();
  ~OmImageDisplay();
  void toRegion(const OmSourceParameters&,  const bool deleteRegions = true);
  void toRegion(const OmSourceParameters& sources, 
		const vector<int>list, const bool deleteRegions = true);

  void displayRegions(); 
  void drawLine(int x1, int y1, int x2, int y2);
 
  void saveRegions();
 
  
protected:
  // only derived classes can use these

private:
  // member functions
  OmImageDisplay(const OmImageDisplay&);
  OmImageDisplay& operator=(const OmImageDisplay&);
public:
  static char _regionFile[L_TMPFILE];
 
};



#endif



