// -*-C++-*-
//
// File:      OmSource.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Sep 13 17:00:17 CEST 2002
// Usage:     -
// Info:      -

#ifndef OmSourceEdit_h
#define OmSourceEdit_h
#include <qwidget.h>
#include <qlineedit.h>
#include <qstring.h>

class OmSourceEdit : public QLineEdit
{
     Q_OBJECT  
public:
    OmSourceEdit(QWidget *parent, QString title, 
		   int xPos, int yPos, int width, int height,  
                   QString help = QString::null); 
        
   OmSourceEdit(QWidget *parent, QString title, 
		   int xPos, int yPos, int height,  
                   QString help = QString::null); 
        

   virtual ~OmSourceEdit() {};
   virtual void setText(const QString &);
   void setValue(const double number, const int width = 8, const int ndec = 2);
   double getFNumber() const {return _fNumber;};
   void setValue(const int number, const int width = 8);
   int getINumber() const {return _iNumber; };



private:
    double _fNumber;
    int _iNumber;
   

};
#endif





